@extends('layouts.main')

@section('content')
    <div class="page-wrapper" id="main-wrapper" data-layout="vertical" data-navbarbg="skin6" data-sidebartype="full"
      data-sidebar-position="fixed" data-header-position="fixed">
    
      <div class="container-fluid" style="padding-top: calc(70px + 15px)">
        <!--  Row 1 -->
          <div class="row">
            <div class="col-lg-12 d-flex align-items-strech">
              <div class="card w-100">
                <div class="card-body">
                  <div class="d-sm-flex d-block align-items-center justify-content-between mb-9">
                    <div class="mb-3 mb-sm-0">
                      <h5 class="card-title fw-semibold">SMS History</h5>
                    </div>
                    
                    <div>
                      <a href="{{ url('/sms') }}" class="btn btn-primary" >Back</a>
                    </div>
                
              </div>
            </div>
          </div>

        </div>
        
         <div class="row">
            <div class="col-lg-12 d-flex align-items-stretch">
              <div class="card w-100">
                <div class="card-body p-4">
                  <div class="row">
                    <div class="col-md-6">
                      <h5 class="card-title fw-semibold mb-4">SMS</h5>
                    </div>
                    <div class="col-md-6 d-flex justify-content-end">
                      <form id="searchForm" class="mb-3">
                        <div class="input-group">
                          <input type="text" name="search" class="form-control" placeholder="Search SMS" value="{{ request()->get('search') }}">
                          <button  class="btn btn-primary">Search</button>
                        </div>
                      </form>
                    </div>
                  </div>

                  <div class="table-responsive" >
                    <table class="table text-nowrap mb-0 align-middle">
                      <thead class="text-dark fs-4">
                        <tr>
                          <th class="border-bottom-0">
                              <input type="checkbox" id="selectAll">
                          </th>
                          <th class="border-bottom-0">
                            <h6 class="fw-semibold mb-0">Id</h6>
                          </th>
                          <th class="border-bottom-0">
                            <h6 class="fw-semibold mb-0">Phone Number</h6>
                          </th>

                          <th class="border-bottom-0">
                            <h6 class="fw-semibold mb-0">SMS Message</h6>
                          </th>
                         
                        </tr>
                      </thead>
                      <tbody>

                        @foreach ($sms as $key => $sms)
                          <tr>
                            <td>
                              <input type="checkbox" class="select-checkbox" data-id="{{ $sms->id }}">
                            </td>
                            <td>
                              <h6 class="mb-0">{{ $key + 1 }}</h6>
                            </td>
                            <td>
                              <h6 class="mb-0">{{ $sms->phone_number }}</h6>
                            </td>
                            <td>
                              <h6 class="mb-0">{{ $sms->message }}</h6>
                            </td>
                          </tr>
                        @endforeach

                        
                      </tbody>
                    </table>
                  </div>
                  <br>
                  <br>
                  <div class="d-flex align-items-center justify-content-end">
                    {{-- <nav aria-label="Page navigation example">
                      <ul class="pagination">
                        <li class="page-item" style="cursor: pointer;"><a class="page-link" onclick="previousPage()">Previous</a></li>
                        <li class="page-item"><a class="page-link" href="#" disabled="true">{{ $page_number }} of {{ $total_pages }} </a></li>
                        <li class="page-item" style="cursor: pointer;"><a class="page-link" onclick="nextPage()">Next</a></li>
                      </ul>
                    </nav>  --}}
                  </div>
                </div>
              </div>
            </div>
          </div> 

      </div>
    </div>
  </div>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script> 
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@10"></script>

<script>
    

      $('#searchForm').submit(function(event) {
      event.preventDefault();
      let searchQuery = $('input[name="search"]').val();

      $.ajax({
          url: `{{ url('/search-sms-history') }}`,
          type: 'POST',
          data: {
              search: searchQuery,
              _token: '{{ csrf_token() }}'
          },
          success: function(response) {
              // Handle success here
              //console.log(response);

              // display the search client in the table
              let tableBody = '';

              response.forEach((sms, index) => {
                  tableBody += `
                        <tr>
                            <td>
                              <input type="checkbox" class="select-checkbox" data-id="${sms.id}">
                            </td>
                            <td>
                              <h6 class="mb-0">${index + 1}</h6>
                            </td>
                            <td>
                              <h6 class="mb-0">${sms.phone_number}</h6>
                            </td>
                            <td>
                              <h6 class="mb-0">${sms.message}</h6>
                            </td>
                          </tr>
                  `;
              });

            tableBody +=`
              <tr style="opacity: 0;">
                <!-- Dummy row -->
                <td class="border-0"></td>
                <td class="border-0"></td>
                <td class="border-0"></td>
                <td class="border-0"></td>
                <td class="border-0"></td>
                <td class="border-0"></td>
                </tr><tr style="opacity: 0;">
                    <!-- Dummy row -->
                    <td class="border-0"></td>
                    <td class="border-0"></td>
                    <td class="border-0"></td>
                    <td class="border-0"></td>
                    <td class="border-0"></td>
                    <td class="border-0"></td>
                </tr>
                <tr style="opacity: 0;">
                    <!-- Dummy row -->
                    <td class="border-0"></td>
                    <td class="border-0"></td>
                    <td class="border-0"></td>
                    <td class="border-0"></td>
                    <td class="border-0"></td>
                    <td class="border-0"></td>
                </tr>
                                <tr style="opacity: 0;">
                    <!-- Dummy row -->
                    <td class="border-0"></td>
                    <td class="border-0"></td>
                    <td class="border-0"></td>
                    <td class="border-0"></td>
                    <td class="border-0"></td>
                    <td class="border-0"></td>
                </tr>
                                <tr style="opacity: 0;">
                    <!-- Dummy row -->
                    <td class="border-0"></td>
                    <td class="border-0"></td>
                    <td class="border-0"></td>
                    <td class="border-0"></td>
                    <td class="border-0"></td>
                    <td class="border-0"></td>
                </tr>
                                <tr style="opacity: 0;">
                    <!-- Dummy row -->
                    <td class="border-0"></td>
                    <td class="border-0"></td>
                    <td class="border-0"></td>
                    <td class="border-0"></td>
                    <td class="border-0"></td>
                    <td class="border-0"></td>
                </tr>
              `;

              $('tbody').html(tableBody);
          },
          error: function(err) {
              // Handle error here
          }
      });

  });
  </script>
@endsection